# 53. Poizvedba: pridobi mrežne podatke iz »AsAppliedDataset«

Poizvedba za pridobitev mrežnih podatkov iz rastrske zbirke podatkov, povezanih z "AsAppliedDataset", kot `GEOJSON`  s točkami ali `GEOTIFF`. Atribut properties vsebuje vse atribute zbirke podatkov za vsako točko.&#x20;

#### 1. Zahtevajte datoteko za izvoz

{% hint style="danger" %}
Priporočamo pridobitev samo ene zbirke podatkov z `sourceDataUrl` na zahtevo.&#x20;
{% endhint %}

`BrezPufra`, `PlusEnPixel`, `PlusDvaPixla`, `MinusEnPixel`, in `MinusDvaPixla` so na voljo kot `pufr`.

`GEOJSON` in `GEOTIFF` so na voljo kot format.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromAsAppliedDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      asAppliedDatasets(asAppliedDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Prenesite ustvarjeno datoteko

Po uspešni pripravi datoteke jo je mogoče prenesti z uporabo `curl` ali podobnega pristopa.

{% hint style="danger" %}
`sourceDataUrl` povezava je dostopna samo za **60 sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/53.-poizvedba-pridobi-mrezne-podatke-iz-asapplieddataset.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
